> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vin.gs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1transactions



## OpenAPI

````yaml https://external.vin.gs/api/openapi.json get /v1/transactions
openapi: 3.1.0
info:
  title: Vings External API
  version: 0.1.0
  description: Readonly external API for authenticated Vings financial data.
servers:
  - url: https://external.vin.gs/api
    description: Production
security: []
tags:
  - name: Transactions
    description: Transaction search and recurring payments
  - name: Cashflow
    description: Cashflow summaries
  - name: Spending
    description: Spending aggregates and merchants
  - name: Budgets
    description: Budget categories and summaries
  - name: Banks
    description: Connected bank status
  - name: Portfolio
    description: Portfolio snapshots and history
  - name: Preferences
    description: User preferences
  - name: OAuth
    description: OAuth protected-resource metadata (RFC 9728)
  - name: Health
    description: Liveness and readiness
  - name: User
    description: Authenticated user
  - name: MCP
    description: Model Context Protocol JSON-RPC transport
paths:
  /v1/transactions:
    get:
      tags:
        - Transactions
      parameters:
        - schema:
            type: string
          required: false
          name: dateFrom
          in: query
        - schema:
            type: string
          required: false
          name: dateTo
          in: query
        - schema:
            type: string
          required: false
          name: minAmountCents
          in: query
        - schema:
            type: string
          required: false
          name: maxAmountCents
          in: query
        - schema:
            type: string
          required: false
          name: merchantQuery
          in: query
        - schema:
            type: string
          required: false
          name: category
          in: query
        - schema:
            type: string
            description: Comma-separated categories
          required: false
          description: Comma-separated categories
          name: categories
          in: query
        - schema:
            type: string
            enum:
              - INCOME
              - EXPENSE
          required: false
          name: type
          in: query
        - schema:
            type: string
            description: Comma-separated account IDs
          required: false
          description: Comma-separated account IDs
          name: accountIds
          in: query
        - schema:
            type: string
          required: false
          name: pending
          in: query
        - schema:
            type: string
          required: false
          name: hidden
          in: query
        - schema:
            type: string
            description: URL-encoded JSON cursor with date and id
          required: false
          description: URL-encoded JSON cursor with date and id
          name: cursor
          in: query
        - schema:
            type: string
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: showInternalTransfers
          in: query
      responses:
        '200':
          description: Cursor-paginated transaction search results
          content:
            application/json:
              schema:
                type: object
                properties:
                  transactions:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - INCOME
                            category:
                              type: string
                              enum:
                                - DIVIDEND
                                - GIFT
                                - INTEREST
                                - INVESTMENT
                                - PENSION
                                - REFUND
                                - SALARY
                                - TRANSFER_IN
                            amount_cents:
                              type: number
                            date:
                              type: string
                            title:
                              type: string
                            id:
                              type: string
                            pending:
                              type: boolean
                            currency:
                              type: string
                              nullable: true
                            plaid_category:
                              type: string
                              nullable: true
                            merchant_name:
                              type: string
                              nullable: true
                            account_name:
                              type: string
                              nullable: true
                            bank_name:
                              type: string
                              nullable: true
                            linked_transaction_id:
                              type: string
                              nullable: true
                          required:
                            - type
                            - category
                            - amount_cents
                            - date
                            - title
                            - id
                            - pending
                            - currency
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - EXPENSE
                            category:
                              anyOf:
                                - type: string
                                  enum:
                                    - BOOKS
                                    - CINEMA
                                    - CONCERT
                                    - HOBBY
                                    - MUSIC
                                    - NIGHTLIFE
                                    - SPORTS
                                    - SUBSCRIPTIONS
                                    - VACATION
                                    - VIDEO_GAMES
                                - type: string
                                  enum:
                                    - DRINKS
                                    - COFFEE
                                    - DELIVERY
                                    - FAST_FOOD
                                    - GROCERIES
                                    - RESTAURANT
                                    - VENDING_MACHINE
                                - type: string
                                  enum:
                                    - DOCTOR
                                    - DENTIST
                                    - MEDICINE
                                    - PHARMACY
                                    - THERAPY
                                    - VISION
                                - type: string
                                  enum:
                                    - ELECTRICITY
                                    - FURNITURE
                                    - HARDWARE
                                    - INTERNET
                                    - MAINTANANCE
                                    - PHONE
                                    - RENT
                                    - HYDRO
                                - type: string
                                  enum:
                                    - BEAUTY
                                    - CHARITY
                                    - CLOTHING
                                    - EDUCATION
                                    - GYM
                                    - HAIR
                                    - HOTEL
                                    - PET
                                    - SHOPPING
                                - type: string
                                  enum:
                                    - ATM
                                    - CREDIT_CARD
                                    - CAR_LOAN
                                    - MORTGAGE
                                    - INSURANCE
                                    - STUDENT_LOAN
                                    - TAXES
                                    - TRANSFER_OUT
                                - type: string
                                  enum:
                                    - ACCOUNTING
                                    - BANK_COST
                                    - CHILDCARE
                                    - ELECTRONICS
                                    - GIFTS
                                    - SHIPPING
                                    - SUPPLIES
                                    - OTHER
                                - type: string
                                  enum:
                                    - BIKESHARE
                                    - BUS
                                    - GAS
                                    - FLIGHT
                                    - PARKING
                                    - REPAIR
                                    - TAXI
                                    - TRAIN
                            amount_cents:
                              type: number
                            date:
                              type: string
                            title:
                              type: string
                            id:
                              type: string
                            pending:
                              type: boolean
                            currency:
                              type: string
                              nullable: true
                            plaid_category:
                              type: string
                              nullable: true
                            merchant_name:
                              type: string
                              nullable: true
                            account_name:
                              type: string
                              nullable: true
                            bank_name:
                              type: string
                              nullable: true
                            linked_transaction_id:
                              type: string
                              nullable: true
                          required:
                            - type
                            - category
                            - amount_cents
                            - date
                            - title
                            - id
                            - pending
                            - currency
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - INTERNAL_TRANSFER
                            category:
                              type: string
                              enum:
                                - INTERNAL_TRANSFER_IN
                                - INTERNAL_TRANSFER_OUT
                            amount_cents:
                              type: number
                            date:
                              type: string
                            title:
                              type: string
                            id:
                              type: string
                            pending:
                              type: boolean
                            currency:
                              type: string
                              nullable: true
                            plaid_category:
                              type: string
                              nullable: true
                            merchant_name:
                              type: string
                              nullable: true
                            account_name:
                              type: string
                              nullable: true
                            bank_name:
                              type: string
                              nullable: true
                            linked_transaction_id:
                              type: string
                              nullable: true
                          required:
                            - type
                            - category
                            - amount_cents
                            - date
                            - title
                            - id
                            - pending
                            - currency
                  pagination:
                    type: object
                    properties:
                      nextCursor:
                        type: object
                        nullable: true
                        properties:
                          date:
                            type: string
                          id:
                            type: string
                            format: uuid
                        required:
                          - date
                          - id
                        description: Cursor for next page - null if no more pages
                      hasMore:
                        type: boolean
                        description: Whether there are more pages available
                    required:
                      - hasMore
                required:
                  - transactions
                  - pagination
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: UNAUTHORIZED
            message:
              type: string
              example: Missing bearer token
            details:
              nullable: true
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Vings OAuth access token or personal access token (`vng_pat_…`). Use
        `Authorization: Bearer …`.

````